# Class AbstractDependencyReportTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.diagnostics.ConventionReportTask
org.gradle.api.tasks.diagnostics.AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>
org.gradle.api.tasks.diagnostics.AbstractDependencyReportTask

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

Direct Known Subclasses:
  `DependencyReportTask, HtmlDependencyReportTask`

@DisableCachingByDefault(because="Abstract super-class, not to be instantiated directly") public abstract class AbstractDependencyReportTask extends AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>
Displays the dependency tree for a configuration.

Since:
  2.10

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AbstractDependencyReportTask.DependencyReportModel`
  Report model.

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDependencyReportTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AbstractDependencyReportTask.DependencyReportModel`
  `calculateReportModelFor(Project project)`
  Calculate report model.
  `protected void`
  `generateReportFor(org.gradle.api.tasks.diagnostics.internal.ProjectDetails project, AbstractDependencyReportTask.DependencyReportModel model)`
  Generate report.
  `Set<Configuration>`
  `getConfigurations()`
  Returns the configurations to generate the report for.
  `org.gradle.api.tasks.diagnostics.internal.ReportRenderer`
  `getRenderer()`
  Returns the renderer.
  `ConfigurationContainer`
  `getTaskConfigurations()`
  Returns the task configurations.
  `void`
  `setConfiguration(String configurationName)`
  Sets the single configuration (by name) to generate the report for.
  `void`
  `setConfigurations(Set<Configuration> configurations)`
  Sets the configurations to generate the report for.
  `void`
  `setRenderer(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer renderer)`
  Set the renderer to use to build a report.

  ### Methods inherited from class AbstractProjectBasedReportTask

  `action, generateReportFooterFor, generateReportHeaderFor`

  ### Methods inherited from class ConventionReportTask

  `clickableOutputFileUrl, getClientMetaData, getOutputFile, getProjectReportDirectory, getProjects, getTextOutputFactory, logClickableOutputFileUrl, reportGenerator, setOutputFile, setProjects, shouldCreateReportFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getLoggingManager, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, service, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache, service`

- ## Constructor Details

  - ### AbstractDependencyReportTask

    public AbstractDependencyReportTask()

- ## Method Details

  - ### getRenderer

    public org.gradle.api.tasks.diagnostics.internal.ReportRenderer getRenderer()
    Description copied from class: `ConventionReportTask`
    Returns the renderer.
    Specified by:
      `getRenderer` in class `ConventionReportTask`

  - ### setRenderer

    public void setRenderer(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer renderer)
    Set the renderer to use to build a report. If unset, AsciiGraphRenderer will be used.
    Since:
      2.10

  - ### calculateReportModelFor

    protected AbstractDependencyReportTask.DependencyReportModel calculateReportModelFor(Project project)
    Description copied from class: `AbstractProjectBasedReportTask`
    Calculate report model.
    Specified by:
      `calculateReportModelFor` in class `AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>`

  - ### generateReportFor

    protected void generateReportFor(org.gradle.api.tasks.diagnostics.internal.ProjectDetails project, AbstractDependencyReportTask.DependencyReportModel model)
    Description copied from class: `AbstractProjectBasedReportTask`
    Generate report.
    Specified by:
      `generateReportFor` in class `AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>`

  - ### getConfigurations

    @Internal public Set<Configuration> getConfigurations()
    Returns the configurations to generate the report for. Defaults to all configurations of this task's containing project.
    Returns:
      the configurations.
    Since:
      2.10

  - ### setConfigurations

    public void setConfigurations(Set<Configuration> configurations)
    Sets the configurations to generate the report for.
    Parameters:
      `configurations` - The configuration. Must not be null.
    Since:
      2.10

  - ### setConfiguration

    public void setConfiguration(String configurationName)
    Sets the single configuration (by name) to generate the report for.
    Parameters:
      `configurationName` - name of the configuration to generate the report for
    Since:
      2.10

  - ### getTaskConfigurations

    @Internal public ConfigurationContainer getTaskConfigurations()
    Returns the task configurations.
    Since:
      2.10